Name:           python-texttable
Version:        1.4.0
Release:        2
Summary:        Python module for creating simple ASCII tables
License:        LGPLv3
URL:            https://github.com/foutaise/texttable
Source0:        https://github.com/foutaise/texttable/archive/v%{version}.tar.gz
BuildArch:      noarch

%description
Python module for creating simple ASCII tables

%package -n python2-texttable
%{?python_provide:%python_provide python2-texttable}
Summary:        Python module for creating simple ASCII tables
BuildRequires:  python2-devel, python2-setuptools, python2-pytest

%description -n python2-texttable
Python module for creating simple ASCII tables

%package -n python3-texttable
%{?python_provide:%python_provide python3-texttable}
Summary:        Python module for creating simple ASCII tables
BuildRequires:  python3-devel, python3-setuptools, python3-pytest

%description -n python3-texttable
Python module for creating simple ASCII tables

%prep
%autosetup -n texttable-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
py.test-%{python2_version} --verbose tests.py
py.test-%{python3_version} --verbose tests.py

%files -n python2-texttable
%doc PKG-INFO README.md
%license LICENSE
%{python2_sitelib}/*

%files -n python3-texttable
%doc PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/*

%changelog
* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 1.4.0-2
- init package
